<?php
/**
* Widget Functions.
*
* @package Modern Art Gallery
*/

function modern_art_gallery_widgets_init(){

	register_sidebar(array(
	    'name' => esc_html__('Main Sidebar', 'modern-art-gallery'),
	    'id' => 'sidebar-1',
	    'description' => esc_html__('Add widgets here.', 'modern-art-gallery'),
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="widget-title"><span>',
	    'after_title' => '</span></h3>',
	));


    $modern_art_gallery_default = modern_art_gallery_get_default_theme_options();
    $modern_art_gallery_footer_column_layout = absint( get_theme_mod( 'modern_art_gallery_footer_column_layout',$modern_art_gallery_default['modern_art_gallery_footer_column_layout'] ) );

    for( $i = 0; $i < $modern_art_gallery_footer_column_layout; $i++ ){
    	
    	if( $i == 0 ){ $count = esc_html__('One','modern-art-gallery'); }
    	if( $i == 1 ){ $count = esc_html__('Two','modern-art-gallery'); }
    	if( $i == 2 ){ $count = esc_html__('Three','modern-art-gallery'); }

	    register_sidebar( array(
	        'name' => esc_html__('Footer Widget ', 'modern-art-gallery').$count,
	        'id' => 'modern-art-gallery-footer-widget-'.$i,
	        'description' => esc_html__('Add widgets here.', 'modern-art-gallery'),
	        'before_widget' => '<div id="%1$s" class="widget %2$s">',
	        'after_widget' => '</div>',
	        'before_title' => '<h2 class="widget-title">',
	        'after_title' => '</h2>',
	    ));
	}

}

add_action('widgets_init', 'modern_art_gallery_widgets_init');